<!doctype html>
<html lang="en" class="no-js elg-gui-ie">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8"/>
    <meta http-equiv="X-UA-Compatible" content="IE=edge"/>
    <title>
        Create Document
    </title>
    <meta name="viewport" content="width=device-width, initial-scale=1"/>

    <link rel="stylesheet" href="assets/css/bootstrap.css?compile=false"/>
    <link rel="stylesheet" href="assets/css/application.css?compile=false"/>

    <!-- Required styles for MDC Web -->
    <link rel="stylesheet" href="assets/css/material-components-web-14.0.0.min.css">
    <link href="assets/fonts/roboto.css" rel="stylesheet">
    <link href="assets/fonts/material-icons.css" rel="stylesheet">
</head>
<body class="mdc-typography">

<form id="elg-test-form">
    <div id="elg-messages"></div>
    <div class="mdc-layout-grid">
        <div class="mdc-layout-grid__inner">
            <div class="mdc-layout-grid__cell mdc-layout-grid__cell--span-6-desktop mdc-layout-grid__cell--span-8-tablet mdc-layout-grid__cell--span-4-phone">
                <h2 class="mdc-typography--subtitle1 hidden" id="test-form-header">Type your own text&hellip;</h2>
                <label class="mdc-text-field mdc-text-field--outlined mdc-text-field--textarea" data-mdc-auto-init="MDCTextField">
                    <span class="mdc-notched-outline">
                        <span class="mdc-notched-outline__leading"></span>
                        <span class="mdc-notched-outline__notch">
                            <span class="mdc-floating-label" id="text-to-annotate-label">Type text to annotate</span>
                        </span>
                        <span class="mdc-notched-outline__trailing"></span>
                    </span>
                    <span class="mdc-text-field__resizer">
                        <textarea id="text-to-annotate" class="mdc-text-field__input" rows="5" cols="30" aria-labelledby="text-to-annotate-label"></textarea>
                    </span>
                    <div class="sample-spinner-holder hidden">
                        <div class="sample-spinner mdc-circular-progress mdc-circular-progress--closed mdc-circular-progress--indeterminate" style="width:48px;height:48px;" role="progressbar" aria-label="Fetching sample" aria-valuemin="0" aria-valuemax="1" data-mdc-auto-init="MDCCircularProgress">
                            <div class="mdc-circular-progress__determinate-container">
                                <svg class="mdc-circular-progress__determinate-circle-graphic" viewBox="0 0 48 48" xmlns="http://www.w3.org/2000/svg">
                                    <circle class="mdc-circular-progress__determinate-track" cx="24" cy="24" r="18" stroke-width="4"/>
                                    <circle class="mdc-circular-progress__determinate-circle" cx="24" cy="24" r="18" stroke-dasharray="113.097" stroke-dashoffset="113.097" stroke-width="4"/>
                                </svg>
                            </div>
                            <div class="mdc-circular-progress__indeterminate-container">
                                <div class="mdc-circular-progress__spinner-layer">
                                    <div class="mdc-circular-progress__circle-clipper mdc-circular-progress__circle-left">
                                        <svg class="mdc-circular-progress__indeterminate-circle-graphic" viewBox="0 0 48 48" xmlns="http://www.w3.org/2000/svg">
                                            <circle cx="24" cy="24" r="18" stroke-dasharray="113.097" stroke-dashoffset="56.549" stroke-width="4"/>
                                        </svg>
                                    </div>
                                    <div class="mdc-circular-progress__gap-patch">
                                        <svg class="mdc-circular-progress__indeterminate-circle-graphic" viewBox="0 0 48 48" xmlns="http://www.w3.org/2000/svg">
                                            <circle cx="24" cy="24" r="18" stroke-dasharray="113.097" stroke-dashoffset="56.549" stroke-width="3.2"/>
                                        </svg>
                                    </div>
                                    <div class="mdc-circular-progress__circle-clipper mdc-circular-progress__circle-right">
                                        <svg class="mdc-circular-progress__indeterminate-circle-graphic" viewBox="0 0 48 48" xmlns="http://www.w3.org/2000/svg">
                                            <circle cx="24" cy="24" r="18" stroke-dasharray="113.097" stroke-dashoffset="56.549" stroke-width="4"/>
                                        </svg>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </label>
            </div>
            <div id="samples-container" class="mdc-layout-grid__cell mdc-layout-grid__cell--span-6-desktop mdc-layout-grid__cell--span-8-tablet mdc-layout-grid__cell--span-4-phone hidden">
                <div id="samples-overlay" class="hidden"></div>
                <h2 class="mdc-typography--subtitle1">&hellip; or select a sample</h2>
                <div id="samples-list"></div>
            </div>
        </div>

        <div id="service-params"></div>
        <div id="param-checkbox-template">
            <div class="mdc-touch-target-wrapper">
                <div class="mdc-checkbox mdc-checkbox--touch">
                    <input type="checkbox"
                           class="mdc-checkbox__native-control param-use">
                    <div class="mdc-checkbox__background">
                        <svg class="mdc-checkbox__checkmark"
                             viewBox="0 0 24 24">
                            <path class="mdc-checkbox__checkmark-path"
                                  fill="none"
                                  d="M1.73,12.91 8.1,19.28 22.79,4.59"/>
                        </svg>
                        <div class="mdc-checkbox__mixedmark"></div>
                    </div>
                    <div class="mdc-checkbox__ripple"></div>
                </div>
            </div>
        </div>

        <div class="mdc-layout-grid__inner">
            <div class="mdc-layout-grid__cell mdc-layout-grid__cell--span-6">
                <button id="submit-form" class="mdc-button mdc-button--raised next" disabled>
                    <span class="mdc-button__label">
                            Submit
                    </span>
                </button>
            </div>
        </div>
        <div class="mdc-layout-grid__inner">
            <div class="mdc-layout-grid__cell mdc-layout-grid__cell--span-6">
                <h3 class="mdc-typography--subtitle2" id="process-state">&nbsp;</h3>
                <div role="progressbar" class="mdc-linear-progress mdc-linear-progress--closed" id="submitprogress" data-mdc-auto-init="MDCLinearProgress">
                    <div class="mdc-linear-progress__buffer">
                        <div class="mdc-linear-progress__buffer-bar"></div>
                        <div class="mdc-linear-progress__buffer-dots"></div>
                    </div>
                    <div class="mdc-linear-progress__bar mdc-linear-progress__primary-bar">
                        <span class="mdc-linear-progress__bar-inner"></span>
                    </div>
                    <div class="mdc-linear-progress__bar mdc-linear-progress__secondary-bar">
                        <span class="mdc-linear-progress__bar-inner"></span>
                    </div>
                </div>
            </div>
        </div>
    </div>
</form>


<div class="hidden" id="elg-annotate-result">
    <div class="mdc-layout-grid">
        <div class="mdc-layout-grid__inner">
            <div class="mdc-layout-grid__cell mdc-layout-grid__cell--span-9" id="docView">
            </div>

            <div class="mdc-layout-grid__cell mdc-layout-grid__cell--span-3" id="annotationSelector">
            </div>
        </div>
    </div>
    <div class="mdc-layout-grid">
        <div class="mdc-layout-grid__cell mdc-layout-grid__cell--span-6">
            <button id="test-again" class="mdc-button mdc-button--raised next">
                <span class="mdc-button__label">
                        Back
                </span>
            </button>
        </div>
    </div>
</div>



<script type="text/javascript" src="assets/lib/require.js?compile=false"></script>
<script type="text/javascript" src="assets/application.js?compile=false"></script>
<script type="text/javascript" src="params.js"></script>
<script type="text/javascript" src="ie.js"></script>
</body>
</html>
